# Class PreprocessorCustomizer

java.lang.Object
org.eclipse.equinox.http.servlet.internal.PreprocessorCustomizer

All Implemented Interfaces:
  `ServiceTrackerCustomizer<Preprocessor, AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration>>`

public class PreprocessorCustomizer extends Object implements ServiceTrackerCustomizer<Preprocessor, AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration>>

Author:
  Raymond Augé

## Constructor Summary

Constructors
Constructor
Description
`PreprocessorCustomizer(HttpServiceRuntimeImpl httpServiceRuntime)`

## Method Summary

Modifier and Type
Method
Description
`AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration>`
`addingService(ServiceReference<Preprocessor> serviceReference)`
`void`
`modifiedService(ServiceReference<Preprocessor> serviceReference, AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration> reference)`
`void`
`removedService(ServiceReference<Preprocessor> serviceReference, AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration> reference)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PreprocessorCustomizer

public PreprocessorCustomizer(HttpServiceRuntimeImpl httpServiceRuntime)

## Method Details

### addingService

public AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration> addingService(ServiceReference<Preprocessor> serviceReference)

Specified by:
  `addingService` in interface `ServiceTrackerCustomizer<Preprocessor, AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration>>`

### modifiedService

public void modifiedService(ServiceReference<Preprocessor> serviceReference, AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration> reference)

Specified by:
  `modifiedService` in interface `ServiceTrackerCustomizer<Preprocessor, AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration>>`

### removedService

public void removedService(ServiceReference<Preprocessor> serviceReference, AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration> reference)

Specified by:
  `removedService` in interface `ServiceTrackerCustomizer<Preprocessor, AtomicReference<org.eclipse.equinox.http.servlet.internal.registration.PreprocessorRegistration>>`